Subject: Re: bug#9780: sort -u throws out non-duplicates

From: Paul Eggert <[email-masked]>
Date: Fri, 17 Aug 2012 12:19:35 -0700

On 08/16/2012 02:03 PM, Jim Meyering wrote:
> * src/sort.c (saved_line): New static/global, renamed and moved from...
> (write_unique): ...here.

I see a couple of problems with this patch.  Pedantically,
the behavior of 'overlap' is undefined on hosts that
use a segmented architecture, because '<=' is not reliable
on pointers into different buffers.  (I have the vague recollection
that some compilers even rely on this to generate faster code
on flat architectures....)  More importantly, suppose the
buffer is reallocated (because it grows)?  Won't 'overlap'
do the wrong thing after that?  And it'd be nice if we didn't
have to worry about making a copy of that line.

I'll see if I can come up with something that addresses these
objectinos.